summaryrefslogtreecommitdiff
path: root/benchmark-synthetic.bash
diff options
context:
space:
mode:
Diffstat (limited to 'benchmark-synthetic.bash')
-rwxr-xr-xbenchmark-synthetic.bash10
1 files changed, 10 insertions, 0 deletions
diff --git a/benchmark-synthetic.bash b/benchmark-synthetic.bash
new file mode 100755
index 0000000..8c5c9ce
--- /dev/null
+++ b/benchmark-synthetic.bash
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+# Run the synthetic benchmarks that are built into gocryptfs using
+# "go test".
+
+set -eu
+
+source build.bash
+
+go test ./tests/integration_tests -bench=. -defaultonly